# requestUnmute()

Requests unmuting a remote user's microphone. The target user's id is provided as a parameter.\
A confirmation popup will be shown to the remote user, who can accept or deny the request.

{% hint style="warning" %}
You cannot forcefully unmute a remote user, because that can easily become a privacy concern. You can only request a remote user to unmute and then the remote user will accept or deny the request.
{% endhint %}

```javascript
sambaFrame.requestUnmute('9efc7798-a1a4-44bd-9d8d-532fe0feea9d');
```

**Sample use case**: \
Have a custom participants panel in your integration and want moderators to be able to request another user to speak - e.g the user may have forgotten that the microphone is muted.

{% hint style="info" %}
A related method is [requestMute](/reference/sdk/methods/requestmute.md), if you want to mute a remote user's microphone.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalsamba.com/reference/sdk/methods/requestunmute.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
